%define anolis_release 5
%global pypi_name requests-ftp

Name:           python-%{pypi_name}
Version:        0.3.1
Release:        %{anolis_release}%{?dist}
Summary:        FTP transport adapter for python-requests
License:        Apache-2.0
URL:            https://github.com/Lukasa/%{pypi_name}
Source0:        https://pypi.python.org/packages/source/r/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch

Patch1:         PR28-01-Adding-2-tests-and-updated-statud_code-build.patch
Patch2:         PR28-02-Adding-code-3-to-retr4ieve-status_code.patch
Patch3:         PR28-03-fix-warning-in-interpreting-ftp-status-codes-minor-d.patch
Patch5:         PR28-05-Improve-logging-in-status-code-extraction.patch 

%description
%{pypi_name} is an implementation of a very stupid FTP transport adapter for
use with the awesome Requests Python library.

%package -n python%{python3_pkgversion}-%{pypi_name}
Summary:        FTP transport adapter for python%{python3_pkgversion}-requests
%{?python_provide:%python_provide python%{python3_pkgversion}-%{pypi_name}}
BuildRequires:  python%{python3_pkgversion}-devel
Requires:       python%{python3_pkgversion}-requests

%description -n python%{python3_pkgversion}-%{pypi_name}
%{pypi_name} is an implementation of a very stupid FTP transport adapter for
use with the awesome Requests Python library.

This is the Python 3 version of the transport adapter module.

%package doc
Summary:        Documentation files for %{pypi_name}
Requires:       python%{python3_pkgversion}-%{pypi_name} = %{version}-%{release}
BuildArch:      noarch

%description    doc
The python%{python3_pkgversion}-%{pypi_name}-doc package contains documentation files for %{pypi_name}.

%prep
%autosetup -n %{pypi_name}-%{version} -p1
rm -rf requests_ftp.egg-info

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files requests_ftp

%files -n python%{python3_pkgversion}-%{pypi_name} -f %{pyproject_files}
%license LICENSE

%files doc
%doc README.rst

%changelog
* Tue Mar 12 2024 Zhao Hang <wb-zh951434@alibaba-inc.com> - 0.3.1-5
- Rebuild with python3.11

* Mon Apr 10 2023 Shawn Wang <shawnwang@linux.alibaba.com> - 0.3.1-4
- Optimize the spec file

* Mon Feb 27 2023 mgb01105731 <mgb01105731@alibaba-inc.com> - 0.3.1-3
- optimise dependency

* Thu Sep 29 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 0.3.1-2
- add doc package

* Mon Apr 18 2022 Chunmei Xu <xuchunmei@linux.alibaba.com> - 0.3.1-1
- init from upstream
